# Shader Interaction API

## Setup

{% tabs %}
{% tab title="Gradle" %}

```gradle
repositories {
    mavenCentral()
}

dependencies {
    modImplementation 'dev.creoii.creoapi:creo-shader-interaction-api:<VERSION>'
}
```

{% endtab %}

{% tab title="Kotlin" %}

```gradle
repositories {
    mavenCentral()
}

dependencies {
    modImplementation("dev.creoii.creoapi:creo-shader-interaction-api:<VERSION>")
}
```

{% endtab %}
{% endtabs %}

## Shader Interactions

```java
// Get the Identifier of the current post processor.
public static Identifier getCurrentPostProcessor();

// Set the current post processor.
public static void setCurrentPostProcessor(Identifier id);

// Clear all post processors from the screen.
public static void clearPostProcessors();
```

This API also includes **Shaders.java** which stores **Identifier** references to all built-in post-processors provided by the vanilla game.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.creoii.dev/creo-api/packages/shader-interaction-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
